com.mysql.cj.protocol

## Interface Protocol.ProtocolEventHandler

Enclosing interface:
  Protocol<M extends Message>

    public static interface Protocol.ProtocolEventHandler

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addListener(Protocol.ProtocolEventListener l)` Add listener for this protocol events.
`void` `invokeListeners(Protocol.ProtocolEventListener.EventType type, Throwable reason)`
`void` `removeListener(Protocol.ProtocolEventListener l)` Remove protocol listener.

### Method Detail

#### addListener

    void addListener(Protocol.ProtocolEventListener l)

Add listener for this protocol events.

Parameters:
  `l` - `Protocol.ProtocolEventListener` instance.

#### removeListener

    void removeListener(Protocol.ProtocolEventListener l)

Remove protocol listener.

Parameters:
  `l` - `Protocol.ProtocolEventListener` instance.

#### invokeListeners

    void invokeListeners(Protocol.ProtocolEventListener.EventType type,
                         Throwable reason)

Copyright © 2016, 2024, Oracle and/or its affiliates.